Get a Runbook
curl --request GET \
--url https://api.infragrid.ai/v1/runbooks/{runbook_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.infragrid.ai/v1/runbooks/{runbook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.infragrid.ai/v1/runbooks/{runbook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Runbooks (preview)
Get a Runbook
Retrieve one Runbook and its current version.
GET
/
v1
/
runbooks
/
{runbook_id}
Get a Runbook
curl --request GET \
--url https://api.infragrid.ai/v1/runbooks/{runbook_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.infragrid.ai/v1/runbooks/{runbook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.infragrid.ai/v1/runbooks/{runbook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Requires
The response includes
runbooks:read.
string
required
Stable Runbook identifier.
id, title, schemaVersion, steps, parameters,
version, status, createdAt, and updatedAt.Last modified on August 28, 2026